Subject: [PATCH v4 2/5] ARM: tegra: Add legacy interrupt controller nodes

From: [email-masked] (Arnd Bergmann)
Date: Thu, 28 Aug 2014 18:11:53 +0200

On Thursday 28 August 2014 17:31:16 Thierry Reding wrote:
> +       interrupt-controller at 60004000 {
> +               compatible = "nvidia,tegra114-ictlr", "nvidia,tegra30-ictlr";
> +               reg = <0x60004000 0x40>, /* primary controller */
> +                     <0x60004100 0x40>, /* secondary controller */
> +                     <0x60004200 0x40>, /* tertiary controller */
> +                     <0x60004300 0x40>, /* quaternary controller */
> +                     <0x60004400 0x40>; /* quinary controller */
> +       };
> +
>         timer at 60005000 {
>                 compatible = "nvidia,tegra114-timer", "nvidia,tegra20-timer";
> 

Don't you need an interrupt-parent and interrupts property here to point to
the GIC interrupts? I would assume this is a nested irqchip.

	Arnd